Bug 1255896 - (CVE-2015-5225) CVE-2015-5225 Qemu: ui: vnc: heap memory corruption in vnc_refresh_server_surface
CVE-2015-5225 Qemu: ui: vnc: heap memory corruption in vnc_refresh_server_sur...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20150822,repo...
: Security
Depends On: 1255897 1255898 1255899 1259190 1259191 1259192
Blocks: 1253307
  Show dependency treegraph
 
Reported: 2015-08-21 15:57 EDT by Prasad J Pandit
Modified: 2016-04-26 17:51 EDT (History)
51 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A heap-based buffer overflow issue was found in the QEMU emulator's VNC display driver. It could occur while refreshing the VNC server's display surface using the vnc_refresh_server_surface() routine. A privileged guest user could use this flaw to corrupt the heap memory and crash the QEMU process instance, or to potentially use it to execute arbitrary code on the host.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-15 16:03:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2015-08-21 15:57:43 EDT
Qemu emulator built with the VNC display driver support is vulnerable to a
buffer overflow flaw leading to heap memory corruption. It could occur while
refreshing the server display surface via routine vnc_refresh_server_surface().

A privileged guest user could use this flaw to corrupt the heap memory and crash the Qemu process instance OR potentially use it to execute arbitrary code on the host.

Upstream fix:
-------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2015-08/msg02495.html

Issue introduced by:
--------------------
  -> http://git.qemu.org/?p=qemu.git;a=commit;h=bea60dd7679364493a0d7f5b
Comment 2 Prasad J Pandit 2015-08-21 16:01:24 EDT
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1255899]
Comment 3 Prasad J Pandit 2015-08-21 16:08:37 EDT
Statement: 

This issue does not affect the versions of kvm and xen packages as shipped with Red Hat Enterprise Linux 5.

This issue does not affect the versions of the qemu-kvm packages as shipped with Red Hat Enterprise Linux 6 and 7.

This issue does not affect the Red Hat Enterprise Linux 6 based versions of qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.

This issue does affect the Red Hat Enterprise Linux 7 based versions of the qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3. Future updates for this release may address this flaw.
Comment 4 Prasad J Pandit 2015-08-21 16:23:36 EDT
Acknowledgements:

Red Hat would like to thank Mr Qinghao Tang from QIHU 360 Inc. and Mr Zuozhi from Alibaba Inc. for reporting this issue.
Comment 7 Fedora Update System 2015-09-03 23:23:03 EDT
qemu-2.4.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 errata-xmlrpc 2015-09-14 00:22:58 EDT
This issue has been addressed in the following products:

  OpenStack 5 for RHEL 7
  OpenStack 6 for RHEL 7
  OpenStack 7 For RHEL 7

Via RHSA-2015:1772 https://rhn.redhat.com/errata/RHSA-2015-1772.html
Comment 12 Fedora Update System 2015-09-18 16:51:08 EDT
qemu-2.3.1-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 errata-xmlrpc 2015-09-24 10:22:17 EDT
This issue has been addressed in the following products:

  RHEV-H and Agents for RHEL-7

Via RHSA-2015:1837 https://rhn.redhat.com/errata/RHSA-2015-1837.html
Comment 14 Fedora Update System 2015-10-09 07:21:13 EDT
qemu-2.1.3-11.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.